# Get a single rate `GET https://api.leapa.co/v2/rates/{rate_id}` Get a single rate by ID Send your API key as a bearer token in the `Authorization` header. ## Path parameters - `rate_id` · _string_ · **required** Example: `rat_20b6df3c9e` ## Response 200 - `id` · _string_ — Rate ID - `name` · _string_ — Rate Name - `code` · _string_ — Rate Code - `type` · _string_ — Rates Type Allowed values: `time`, `amountLimit` - `days` · _array of string_ — Week Days - `amount` · _number_ · **required** — It is a percentage amount ? - `description` · _string_ — Descrition of the Rates - `from_date` · _integer_ — From date for time based rates - `to_date` · _integer_ — To date for time based rates - `amount_limit` · _integer_ · **required** — Amount limit used for the Amount based Rate, - `created_date` · _integer_ — Rates creation time ```json { "id": "obj_5f21c8a40b", "name": "Jeanne Ndayishimiye", "code": "string", "type": "time", "days": [ "monday" ], "amount": 45000, "description": "Room 204, two nights", "from_date": 0, "to_date": 0, "amount_limit": 45000, "created_date": 0 } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X GET "https://api.leapa.co/v2/rates/rat_20b6df3c9e" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Accept: application/json" ``` --- _Generated from the Leapa documentation at leapa.co/docs._